Widely-used object-oriented programming language, emphasizing portability. Questions about programming with Java are off topic and should be asked on stackoverflow.com.

learn more… | top users | synonyms

0
votes
1answer
562 views

“Java is unavailable” in Firefox 32 bits

I'm trying to connect to a VPN using SSL Network Extender, and am getting Java is unavailable error.This occurs in 32 bits Java on 32 bits Firefox in Windows 7 (64 bits). Since both browser and Java ...
0
votes
1answer
197 views

Running jar file on Windows - Prompt user to download JRE

On OS X, when I try to run a .jar file, the system would ask me to download Java Runtime Engine if I don't have it installed, which makes sense. However, on Microsoft Windows, that doesn't happen; I ...
0
votes
1answer
3k views

Adding a jar file to CLASSPATH is still not executable

Perhaps I just don't understand how the whole CLASSPATH environment variable works when trying to find .jar files on your system. I thought if you specified it, you could launch .jar files with java ...
0
votes
1answer
13k views

How to launch minecraft 1.7.2 from Terminal / Command Line

I've been playing with the new Yggdrasil authserver that mojang created and I have been learning how to get authentication keys etc. Now I want to know how I can launch minecraft from terminal ...
0
votes
1answer
161 views

why update-alternatives --config java shows nothing?

I install oracle java JDK.rmp.bin on fedora. And installing by ". /jdk.rmp.bin", JDK is installed under /usr/java/jdk folder. I could compile java files using command "javac" and "java". I could also ...
0
votes
2answers
14k views

jre1.7.0_11\java_sp.dll is corrupt what to do?

I redownloaded the installer several time. My problem is exactly like this guy: http://www.spywareinfoforum.com/index.php?/topic/134584-java-installer-error/ Moreover, also like this guy I can't ...
0
votes
1answer
164 views

Lion indicating wrong version of JDK installed

I have just ran through the installer for JDK 1.7.0_05, downloaded from Oracle.com, but my Mac is still indicating that the preinstalled JDK 1.6.0_33 is installed: MacBook-Air:~ $ javac -version ...
0
votes
2answers
1k views

Installing Java 1.5 on Debian

I'm trying to install Java 1.5 on Debian. But when I write apt-get install java-package in bash, the error unable to locate package java-package is shown. Can anybody help me?
0
votes
2answers
20k views

Where to download JDK 1.6 for OS X?

Currently I use a MacBook Pro with OS X 10.6.7. Where to download JDK 1.6 for OS X?
0
votes
4answers
14k views

Java .jar files to run on double-click

How can I configure .jar files run on double-click in Windows 7?
0
votes
3answers
476 views

Unable to install Java on Debian

I just installed Debian 5.0.6, 32 bit and just can't install Java. I thought it was as simple as # apt-get install sun-java6-jre but this is the response I get: Reading package lists... Done ...